List conversations
curl --request GET \
--url https://api.b2bsignals.ai/api/v1/conversations \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/conversations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/conversations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.b2bsignals.ai/api/v1/conversations")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connected_account_name": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"participant_name": "<string>",
"participant_avatar_url": "<string>",
"participant_linkedin_url": "<string>",
"last_message_preview": "<string>",
"last_message_at": "2023-11-07T05:31:56Z",
"last_message_direction": "<string>",
"unread_count": 0,
"is_favorite": false,
"status": "open",
"tags": [
"<string>"
],
"auto_tag": "<string>",
"suggested_reply": "<string>",
"suggested_reply_stale": false,
"lead": {
"person_name": "<string>",
"name_unresolved": false,
"person_title": "<string>",
"company_name": "<string>",
"person_email": "<string>",
"person_linkedin_url": "<string>",
"person_headline": "<string>",
"person_about": "<string>",
"person_avatar": "<string>",
"person_location": "<string>"
},
"outreach_stage": "<string>",
"campaign_name": "<string>",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_status": "<string>",
"auto_reply_pending": {
"send_at": "2023-11-07T05:31:56Z",
"text": "<string>",
"hold_id": "<string>"
},
"can_resume_campaign": false,
"can_ignore_reply": false,
"reply_ignored": false,
"campaign_auto_reply_mode": "<string>",
"can_turn_off_auto_reply": false,
"stage_from_reply": {
"stage": "<string>",
"source": "<string>",
"set_at": "2023-11-07T05:31:56Z",
"previous_stage": "<string>",
"can_undo": true
}
}
],
"total": 123
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Inbox
List conversations
One page of conversations, with items and total, and the Inbox filters.
GET
/
conversations
List conversations
curl --request GET \
--url https://api.b2bsignals.ai/api/v1/conversations \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/conversations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/conversations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.b2bsignals.ai/api/v1/conversations")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connected_account_name": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"participant_name": "<string>",
"participant_avatar_url": "<string>",
"participant_linkedin_url": "<string>",
"last_message_preview": "<string>",
"last_message_at": "2023-11-07T05:31:56Z",
"last_message_direction": "<string>",
"unread_count": 0,
"is_favorite": false,
"status": "open",
"tags": [
"<string>"
],
"auto_tag": "<string>",
"suggested_reply": "<string>",
"suggested_reply_stale": false,
"lead": {
"person_name": "<string>",
"name_unresolved": false,
"person_title": "<string>",
"company_name": "<string>",
"person_email": "<string>",
"person_linkedin_url": "<string>",
"person_headline": "<string>",
"person_about": "<string>",
"person_avatar": "<string>",
"person_location": "<string>"
},
"outreach_stage": "<string>",
"campaign_name": "<string>",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_status": "<string>",
"auto_reply_pending": {
"send_at": "2023-11-07T05:31:56Z",
"text": "<string>",
"hold_id": "<string>"
},
"can_resume_campaign": false,
"can_ignore_reply": false,
"reply_ignored": false,
"campaign_auto_reply_mode": "<string>",
"can_turn_off_auto_reply": false,
"stage_from_reply": {
"stage": "<string>",
"source": "<string>",
"set_at": "2023-11-07T05:31:56Z",
"previous_stage": "<string>",
"can_undo": true
}
}
],
"total": 123
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your workspace's API key. It starts with b2b_sk_.
Query Parameters
Pattern:
^(all|unread|favorites|starred|needs_reply|sent|archived|done)$Text to search for.
Pattern:
^(linkedin|email)$Pattern:
^(me|them)$Pattern:
^(unarchived|archived|all)$Only this stage.
Pattern:
^(invite_sent|accepted|replied)$Only this person.
How many rows to skip. Starts at 0.
Required range:
x >= 0How many rows to return in one page.
Required range:
1 <= x <= 200